package com.gyee.frame.service.health;

import com.gyee.frame.model.custom.PartbjcountVo;
import com.gyee.frame.model.custom.WindturbinebjCountVo;
import com.gyee.frame.service.PartBjCountService;
import com.gyee.frame.service.PartBjCountSubService;
import com.gyee.frame.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class PartBjService {

    @Resource
    private PartBjCountService partBjCountService;
    @Resource
    private PartBjCountSubService partBjCountSubService;


    public List<PartbjcountVo> getPartBjCountList(Date recorddate) {

        List<PartbjcountVo> vos = new ArrayList<>();

       if(StringUtils.notEmp(recorddate))
       {
           vos=partBjCountService.getPartBjCountList(recorddate);
       }
        return vos;
    }


    public List<WindturbinebjCountVo>  getWindturbinebjCountVoList(String lnid, String part,Date recorddate) throws Exception{

        List<WindturbinebjCountVo> vos=new ArrayList<>();

        vos=partBjCountSubService.getWindturbinebjCountVoList(lnid,part,recorddate);

        return vos;
    }

}


